Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.projects.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Projects.List(context.TODO(), cloud.ProjectListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
curl --request GET \
--url https://api.gcore.com/cloud/v1/projects \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"client_id": 1,
"created_at": "2019-12-31T23:59:59",
"deleted_at": "2020-12-31T23:59:59",
"description": "Project description",
"id": 1,
"is_default": true,
"name": "default",
"state": "ACTIVE",
"task_id": "7244e161-664c-4afd-a34e-7003eac4d949"
}
]
}Projects
List projects
Retrieve a list of projects for a client. Results can be filtered by name and ordered by various fields.
GET
/
cloud
/
v1
/
projects
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
page = client.cloud.projects.list()
page = page.results[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Cloud.Projects.List(context.TODO(), cloud.ProjectListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Whether to include deleted projects in the response.
Example:
false
Limit value is used to limit the number of records in the result
Required range:
x <= 1000Example:
100
Name to filter the results by.
Example:
"my-project"
Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
Order by field and direction.
Available options:
created_at.asc, created_at.desc, name.asc, name.desc Example:
"name.desc"
Was this page helpful?